XMSSMTKeyParams (Bouncy Castle Library 1.85 API Specification)
Date: 2026-07-12

org.bouncycastle.pqc.asn1

## Class XMSSMTKeyParams

- java.lang.Object
- - org.bouncycastle.asn1.ASN1Object
  - - org.bouncycastle.pqc.asn1.XMSSMTKeyParams

- All Implemented Interfaces:
    ASN1Encodable, Encodable

      public class XMSSMTKeyParams
      extends ASN1Object

  XMMSMTKeyParams

           XMMSMTKeyParams ::= SEQUENCE {
               version INTEGER -- 0
               height INTEGER
               layers INTEGER
               treeDigest AlgorithmIdentifier
       }

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `XMSSMTKeyParams(int height, int layers, AlgorithmIdentifier treeDigest)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `int` | `getHeight()`
    `static XMSSMTKeyParams` | `getInstance(java.lang.Object o)`
    `int` | `getLayers()`
    `AlgorithmIdentifier` | `getTreeDigest()`
    `ASN1Primitive` | `toASN1Primitive()` Method providing a primitive representation of this object suitable for encoding.

    - ### Methods inherited from class org.bouncycastle.asn1.ASN1Object

      `encodeTo, encodeTo, equals, getEncoded, getEncoded, hasEncodedTagValue, hashCode`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### XMSSMTKeyParams

          public XMSSMTKeyParams(int height,
                                 int layers,
                                 AlgorithmIdentifier treeDigest)

  - ### Method Detail

    - #### getInstance

          public static XMSSMTKeyParams getInstance(java.lang.Object o)

    - #### getHeight

          public int getHeight()

    - #### getLayers

          public int getLayers()

    - #### getTreeDigest

          public AlgorithmIdentifier getTreeDigest()

    - #### toASN1Primitive

          public ASN1Primitive toASN1Primitive()

      Description copied from class: `ASN1Object`
      Method providing a primitive representation of this object suitable for encoding.
      Specified by:
        `toASN1Primitive` in interface `ASN1Encodable`
      Specified by:
        `toASN1Primitive` in class `ASN1Object`
      Returns:
        a primitive representation of this object.